Bug 65817 - subdir page header is wrong
Summary: subdir page header is wrong
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm2html   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-01 00:01 UTC by Michael Schwendt
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-28 12:14:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (506 bytes, patch)
2002-06-01 00:02 UTC, Michael Schwendt
no flags Details | Diff

Description Michael Schwendt 2002-06-01 00:01:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
The page header for subdirs of an rpm2html repository should read "index by
creation date" instead of "index by installation date". Only the special
[localbase] subdir creates a list of installed packages.

Version-Release number of selected component (if applicable):
1.7-6

How reproducible:
Always

Steps to Reproduce:
Everyone with an rpm2html repository sees this. The main page contains a link
"index by creation date". Subdir pages contain "index by installation date".

Patch follows.

Additional information: Author has been notified, too.

Comment 1 Michael Schwendt 2002-06-01 00:02:06 UTC
Created attachment 59185 [details]
patch

Comment 2 Michael Schwendt 2002-06-01 00:04:24 UTC
> Assigned To:  veillard@redhat.com

Hey, I saw that name before right a few minutes ago in the rpm2html readmes. Now
you've got this twice. :-)


Comment 3 Daniel Veillard 2002-06-01 10:16:03 UTC
Yeah, I apllied your patch to the CVS version already :-)
But I don't know when I will make a new rpm2html release, 
either soon or never considering the serious change in the
librpm API in rpm-4.1

Daniel


Comment 4 Michael Schwendt 2002-12-28 12:14:52 UTC
rpm2html-1.8.1-4 from Phoebe includes the fix.



Note You need to log in before you can comment on or make changes to this bug.